

Client = {};
Client_mt = Class(Client, Event);
InitEventClass(Client, "Client");

function Client:emptyNew()
    local self = Event:new(Client_mt);
    return self;
end;

function Client:new()
    local self = Client:emptyNew();
    return self;
end;

function Client:readStream(streamId, connection)
	self:run(connection);
end;

function Client:writeStream(streamId, connection)
end;

function Client:run(connection)
	connection:sendEvent(Server:new());
end;